Bug#927257: clementine: massive number of tagreader processes

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#927257: clementine: massive number of tagreader processes

Adam Borowski-3
Package: clementine
Version: 1.3.1+git609-g623a53681+dfsg-1
Severity: normal

Hi!
Clementine spawns a large number (64 on this machine) of
"clementine-tagreader" processes.  And besides spamming admin tools such
as "ps" or "htop", they're not even idle -- every once a short while, each
of them wakes up and does something that takes >2% of htop's time slice.

Shouldn't the processes get spawned once there's actually some work to do?


-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.1.0-rc5-00061-gb1169b5699ff (SMP w/64 CPU cores)
Kernel taint flags: TAINT_UNSIGNED_MODULE
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages clementine depends on:
ii  gstreamer1.0-plugins-base       1.14.4-1
ii  gstreamer1.0-plugins-good       1.14.4-1
ii  gstreamer1.0-plugins-ugly       1.14.4-1
ii  libc6                           2.28-8
ii  libcdio18                       2.0.0-2
ii  libchromaprint1                 1.4.3-3
ii  libcrypto++6                    5.6.4-8
ii  libfftw3-double3                3.3.8-2
ii  libgcc1                         1:8.3.0-6
ii  libgdk-pixbuf2.0-0              2.38.1+dfsg-1
ii  libglib2.0-0                    2.58.3-1
ii  libgpod4                        0.8.3-13
ii  libgstreamer-plugins-base1.0-0  1.14.4-1
ii  libgstreamer1.0-0               1.14.4-1
ii  libimobiledevice6               1.2.1~git20181030.92c5462-1
ii  liblastfm5-1                    1.0.9-1+b11
ii  libmtp9                         1.1.16-2
ii  libmygpo-qt5-1                  1.1.0-3
ii  libplist3                       2.0.1~git20190104.3f96731-1
ii  libprojectm2v5                  2.1.0+dfsg-4+b4
ii  libprotobuf17                   3.6.1.3-1
ii  libpulse0                       12.2-4.0.kb1
ii  libqt5concurrent5               5.11.3+dfsg1-1
ii  libqt5core5a                    5.11.3+dfsg1-1
ii  libqt5dbus5                     5.11.3+dfsg1-1
ii  libqt5gui5                      5.11.3+dfsg1-1
ii  libqt5network5                  5.11.3+dfsg1-1
ii  libqt5opengl5                   5.11.3+dfsg1-1
ii  libqt5sql5                      5.11.3+dfsg1-1
ii  libqt5widgets5                  5.11.3+dfsg1-1
ii  libqt5x11extras5                5.11.3-2
ii  libqt5xml5                      5.11.3+dfsg1-1
ii  libsqlite3-0                    3.27.2-2
ii  libstdc++6                      8.3.0-6
ii  libtag1v5                       1.11.1+dfsg.1-0.3
ii  libx11-6                        2:1.6.7-1
ii  projectm-data                   2.1.0+dfsg-4
ii  zlib1g                          1:1.2.11.dfsg-1

Versions of packages clementine recommends:
ii  gstreamer1.0-pulseaudio  1.14.4-1

Versions of packages clementine suggests:
ii  gstreamer1.0-plugins-bad  1.14.4-1+b1

-- no debconf information